camel-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From kumar <ku...@touchpeaksoftware.com>
Subject Re: Camel with OSGI in Felix with Spring DSL
Date Fri, 03 Mar 2017 16:20:41 GMT
Hi Claus, 

I tried using karaf after your suggestion.

I executed below commands on karaf Shell:

I am using karaf:4.1.0
NO Luck not able to start the feature you provided for Camel-spring. details
are given below.


*karaf@root()>*  feature:repo-add  camel 2.18.2
Adding feature url
mvn:org.apache.camel.karaf/apache-camel/2.18.2/xml/features
*karaf@root()>*  feature:install  camel
*karaf@root()>* feature:install  camel-spring
*karaf@root()>* feature:install  camel-core
*karaf@root()>* feature:list | grep camel
xml-specs-api                           | 2.7.0            |          |
Started     | camel-2.18.2                      |
camel                                   | 2.18.2           | x        |
Started     | camel-2.18.2                      |
camel-core                              | 2.18.2           | x        |
Started     | camel-2.18.2                      |
camel-catalog                           | 2.18.2           |          |
Uninstalled | camel-2.18.2                      |
camel-blueprint                         | 2.18.2           |          |
Started     | camel-2.18.2                      |
camel-spring                            | 2.18.2           | x        |
Started     | camel-2.18.2                      |
camel-spring-dm                         | 2.18.2           |          |
Uninstalled | camel-2.18.2                      |

*karaf@root()>* feature:repo-add
mvn:org.apache.camel/camel-example-spring-dm/2.18.2/xml/features
Adding feature url
mvn:org.apache.camel/camel-example-spring-dm/2.18.2/xml/features
*karaf@root()>*feature:install  camel-example-spring-dm
Error executing command: Unable to resolve root: missing requirement [root]
osgi.identity; osgi.identity=camel-example-spring-dm; type=karaf.feature;
version="[2.18.2,2.18.2]";
filter:="(&(osgi.identity=camel-example-spring-dm)(type=karaf.feature)(version>=2.18.2)(version<=2.18.2))"
[caused by: Unable to resolve camel-example-spring-dm/2.18.2: missing
requirement [camel-example-spring-dm/2.18.2] osgi.identity;
osgi.identity=camel-spring-dm; type=karaf.feature; version="[2.18.2,2.18.2]"
[caused by: Unable to resolve camel-spring-dm/2.18.2: missing requirement
[camel-spring-dm/2.18.2] osgi.identity; osgi.identity=spring-dm;
type=karaf.feature; version="[1.2.0,2.0.0)"]]
*karaf@root()>*







--
View this message in context: http://camel.465427.n5.nabble.com/Camel-with-OSGI-in-Felix-with-Spring-DSL-tp5794738p5794757.html
Sent from the Camel - Users mailing list archive at Nabble.com.

Mime
View raw message